Fedora 9 : ruby-1.8.6.230-4.fc9 (2008-6033)

This script is Copyright (C) 2008-2015 Tenable Network Security, Inc.


Synopsis :

The remote Fedora host is missing a security update.

Description :

- Tue Jul 1 2008 Akira TAGOH <tagoh at redhat.com> -
1.8.6.230-4

- Backported from upstream SVN to fix a segfault issue
with Array#fill.

- Mon Jun 30 2008 Akira TAGOH <tagoh at redhat.com> -
1.8.6.230-3

- Backported from upstream SVN to fix a segfault issue.
(#452825)

- Backported from upstream SVN to fix an integer
overflow in rb_ary_fill.

- Wed Jun 25 2008 Akira TAGOH <tagoh at redhat.com> -
1.8.6.230-2

- Fix a segfault issue. (#452809)

- Tue Jun 24 2008 Akira TAGOH <tagoh at redhat.com> -
1.8.6.230-1

- New upstream release.

- Security fixes. (#452294).

- CVE-2008-1891: WEBrick CGI source disclosure.

- CVE-2008-2662: Integer overflow in
rb_str_buf_append().

- CVE-2008-2663: Integer overflow in rb_ary_store().

- CVE-2008-2664: Unsafe use of alloca in
rb_str_format().

- CVE-2008-2725: Integer overflow in rb_ary_splice().

- CVE-2008-2726: Integer overflow in rb_ary_splice().

- ruby-1.8.6.111-CVE-2007-5162.patch: removed.

Note that Tenable Network Security has extracted the preceding
description block directly from the Fedora security advisory. Tenable
has attempted to automatically clean and format it as much as possible
without introducing additional issues.

See also :

https://bugzilla.redhat.com/show_bug.cgi?id=453589
http://www.nessus.org/u?76188a54

Solution :

Update the affected ruby package.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)
CVSS Temporal Score : 6.5
(CVSS2#E:ND/RL:OF/RC:C)
Public Exploit Available : true

Family: Fedora Local Security Checks

Nessus Plugin ID: 33408 (fedora_2008-6033.nasl)

Bugtraq ID: 30036

CVE ID: CVE-2008-2376

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now